Support » Plugin: GDPR Cookie Compliance (CCPA ready) » Google Analytics (v.4) cookies not deleted when revoking consent

  • Resolved alexis888

    (@alexis888)


    Hello there.

    I have an issue with the new Google Analytics (version 4) cookies not being deleted when I revoke consent and set all “third party cookies” to disabled.

    I have the plugin installed on various website where I’m using Google Analytics version 3 (with the tracking ID looking like “UA-12345678-9”) and then when I revoke consent the GGA v.3 cookies are deleted just fine.

    But on this website where i’m using both GGA v.3 and GGA v.4 ( with the tracking ID looking like “G-1AB23456A7”), only GGA v.3 cookies are deleted and GGA v.4 remain. I’ve tried putting the GGA v.4 tracking code only, but the issue stays the same. 

    Of course I’ve put my GGA tracking codes in the right place in your plugin. 

    Any idea why the plugin is not deleting GGA v.4 cookies when revoking consent ?

    Unfortunately, as it is, it makes the plugin not GDPR compliant anymore when using the new version of Google Analytics :/

    Ps : thanks for the great plugin, it’s the best one I’ve found so far and besides this problem, it works like a charm and I’m using it on all my websites.

    The page I need help with: [log in to see the link]

Viewing 5 replies - 1 through 5 (of 5 total)
  • Thread Starter alexis888

    (@alexis888)

    Hello. Did anyone from the official support see this ?

    I feel it points out a big issue (unless the misconfiguration is on my side) as it makes the plugin not GDPR compliant anymore.

    Looking forward to hearing from you so I don’t have to look for another plugin (again) and switch all my sites to it.

    Thanks !

    • This reply was modified 3 months, 2 weeks ago by alexis888.
    Plugin Author Moove Agency

    (@mooveagency)

    Hi @alexis888,

    Thanks for using our plugins.

    Please update your plugin to the latest version, there was an issue found in the version you’re currently using on your site. The issue is fixed on version 4.3.9

    Hope this helps.

    Thread Starter alexis888

    (@alexis888)

    Hey @mooveagency,
    I do have the last version and did my tests leading to that post using the 4.3.9 version so it doesn’t seem to be the solution :/

    Plugin Author Moove Agency

    (@mooveagency)

    Hi @alexis888,

    In your site, we can find the gdpr-cookie-compliance/dist/scripts/main.js without a version parameter. Usually, in the source code should be visible like gdpr-cookie-compliance/dist/scripts/main.js?ver=4.3.9
    This means you have a script which removes the query strings from resources and by this, the cached version is loaded by browsers.

    Please purge all the caches on your server and this should serve the latest JS from our plugin. Currently, the JS from version 4.3.8 is served because of caching.

    Thanks

    Thread Starter alexis888

    (@alexis888)

    Oh thanks for the info ! Glad to hear your plugin was not the reason of this issue.

    I think it’s SWIFT who’s messing with your plugin and loading the old version of the JS file then. I’ve had similar issue on the same website where SWIFT was loading an outdated form created with Elementor. I’ve tried everything I could to purge the complete SWIFT cache but it didn’t work. So I’m afraid it’ll be the same with this issue.

    An SWIFT support is not answering any messages neither on wordpress.org or through their support email address. Very anoying.

    Anyway, thanks for your help with that !
    Best regards

Viewing 5 replies - 1 through 5 (of 5 total)
  • You must be logged in to reply to this topic.